<template>
    <div class="contact_section">
        <div class="contact_details">
            <h1>
                Contact Us
            </h1>
            <v-layout row wrap class="wrap_con">
                <v-flex column md7 sm7 xs12 m-auto>

                        <div class="_contact_number">
                            <a href="tel:+1-833-225-3843">
                                <i class="material-icons">local_phone</i>
                                <p>+1-833-225-3843</p>
                            </a>
                        </div>
                        <div class="_email">
                            <a href="mailto:sales@cardboardbalingwire.com">
                                <i class="material-icons">email</i>
                                <p>sales@cardboardbalingwire.com</p>
                            </a>
                        </div>
                        <div class="_email">
                            <a target="_blank" href="https://www.google.com/maps/place/Cardboard+Baling+Wire/@39.7218101,-104.9764725,17z/data=!3m1!4b1!4m5!3m4!1s0x0:0xa4aeb77675b3203c!8m2!3d39.7218101!4d-104.9742838?authuser=7">
                                <i class="material-icons">location_on</i>
                                <p>
                                  383 N Corona Street Ste.707 Denver, CO 80218 United States
                                </p>
                            </a>
                        </div>
                    <div class="contact_form mt-4">
                        <div class="contact-form full">
                            <h3>Submit the Form</h3>
                            <div class="form_field">
                                <div class="input-field">
                                    <v-select
                                        :items="subjects"
                                        item-text="name"
                                        item-value="id"
                                        v-model="c.sub"
                                        label="Subjects"
                                        name="id_contact"
                                        class="id_c"
                                    ></v-select>
                                    <input type="hidden" :value="c.sub">
                                </div>
                            </div>
                            <div class="form_field">
                                <div class="input-field">
                                    <v-select
                                        v-if="orders.length"
                                        :items="orders"
                                        item-text="reference"
                                        item-value="id_order"
                                        v-model="c.ref"
                                        label="Order Reference"
                                        name="id_order"
                                        class="id_c"
                                    ></v-select>
                                    <input type="hidden" :value="c.ref">
                                </div>
                            </div>
                            <div class="form_field">
                                <v-text-field
                                    v-model="c.email"
                                    :rules="emailRules"
                                    type="email"
                                    name="from"
                                    label="Email Address">
                                </v-text-field>
                            </div>
                            <div class="form_field">
                                <v-textarea
                                    label="Message"
                                    name="message"
                                    v-model="c.message"
                                ></v-textarea>
                            </div>
                            <div class="form_field">
                                <v-btn
                                    type="submit"
                                    color="primary"
                                    block
                                    @click="submitForm"
                                    :loading="loading"
                                    class="contact_btn"
                                    large
                                >
                                    Send Message
                                    <i class="material-icons"> send </i>
                                </v-btn>
                            </div>
                        </div>
                    </div>
                </v-flex>
            </v-layout>
        </div>
    </div>
</template>
<script>
import axios from 'axios';
export default {
    data () {
        return {
            subjects: [{'id': '2', 'name':'Customer Support'}, {'id': '1', 'name':'Webmaster'}],
            loading: false,
            c: [],
            orders: [],
            emailRules: [
                v => !!v || 'E-mail is required',
                v => /.+@.+/.test(v) || 'E-mail must be valid'
            ]
        }
    },
    methods: {
        submitForm: function () {
            this.loading = true;
            var form_data = new FormData();
            form_data.append('id_contact', this.c.sub);
            form_data.append('from', this.c.email);
            form_data.append('message', this.c.message);
            axios.post(this.$store.state.api_domain + '?comp=process&action=contactSave', form_data, {withCredentials: true})
            .then((res) => {
                if (res.data.status == 'success') {
                    this.$store.commit('showSnackBar', res.data.message);
                }
                if (res.data.status == 'error') {
                    this.$store.commit('showSnackBar', res.data.message);
                }
                this.loading = false;
            });
        },
        findVal: function (obj) {
            return obj.id;
        },
        findName: function (obj) {
             return obj.name;
        },
    },
    head() {
        return {
            title: 'Contact Us | Balingwiredirect.com',
            meta: [
                {hid: 'description', name: 'description', content: 'Contact balingwiredirect.com today!'},
                {hid: 'keywords', name: 'keywords', content: 'cardboardbalingwire,balingwire,contact'}
            ]
        }
    },
    beforeCreate() {
      axios.post(this.$store.state.api_domain + '?comp=process&action=getCustomerOrders', [], {withCredentials: true})
        .then((res) => {
        if (res.data.status == 'success') {
            console.log(res.data.message);
            this.orders = res.data.message;
            window.scrollBy(0, 0);
        }
      });
    },

}
</script>
